Bug 713730 - enclosure fix
Summary: enclosure fix
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.2
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: Tomas Henzl
QA Contact: Yang Bai
URL:
Whiteboard:
Depends On:
Blocks: 741166
TreeView+ depends on / blocked
 
Reported: 2011-06-16 12:13 UTC by Tomas Henzl
Modified: 2011-12-06 13:41 UTC (History)
5 users (show)

Fixed In Version: kernel-2.6.32-171.el6
Doc Type: Bug Fix
Doc Text:
Previously, some enclosure devices with a broken firmware reported incorrect values. As a consequence, kernel sometimes terminated unexpectedly. A patch has been provided to address this issue, and the kernel crashes no longer occur even if an enclosure device reports incorrect or duplicate data.
Clone Of:
Environment:
Last Closed: 2011-12-06 13:41:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
ported patch (442 bytes, patch)
2011-06-22 14:05 UTC, Tomas Henzl
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1530 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Linux 6 kernel security, bug fix and enhancement update 2011-12-06 01:45:35 UTC

Description Tomas Henzl 2011-06-16 12:13:46 UTC
Backport upstream patch "fix error path - actually return ERR_PTR() on error"

This patch fixes a problem in enclosure, during an error condition

Comment 1 RHEL Product and Program Management 2011-06-16 12:29:47 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 6 Tomas Henzl 2011-06-22 13:58:23 UTC
Posted to internal review.

Comment 7 Tomas Henzl 2011-06-22 14:05:54 UTC
Created attachment 506008 [details]
ported patch

Comment 8 Zhang Kexin 2011-07-06 01:31:04 UTC
Hi Martin, would Fujitsu commit to test this bug for us during 6.2 testing cycle? We don't have the hardware. Thanks!

Comment 10 Kyle McMartin 2011-07-25 13:05:37 UTC
Patch(es) available on kernel-2.6.32-171.el6

Comment 17 Tomas Capek 2011-11-23 15:28:47 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, some enclosure devices with a broken firmware reported incorrect values. As a consequence, kernel sometimes terminated unexpectedly. A patch has been provided to address this issue, and the kernel crashes no longer occur even if an enclosure device reports incorrect or duplicate data.

Comment 18 errata-xmlrpc 2011-12-06 13:41:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1530.html


Note You need to log in before you can comment on or make changes to this bug.